view.system

## Enum CompoundIcon.Axis

- java.lang.Object
- - java.lang.Enum<CompoundIcon.Axis>
  - - view.system.CompoundIcon.Axis

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CompoundIcon.Axis>

Enclosing class:
  CompoundIcon

    public static enum CompoundIcon.Axis
    extends java.lang.Enum<CompoundIcon.Axis>

The Enum Axis.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`X_AXIS` The x axis.
`Y_AXIS` The y axis.
`Z_AXIS` The z axis.

### Method Summary

All Methods Static Methods Concrete Methods
`static CompoundIcon.Axis` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompoundIcon.Axis[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### X_AXIS

    public static final CompoundIcon.Axis X_AXIS

The x axis.

#### Y_AXIS

    public static final CompoundIcon.Axis Y_AXIS

The y axis.

#### Z_AXIS

    public static final CompoundIcon.Axis Z_AXIS

The z axis.

### Method Detail

#### values

    public static CompoundIcon.Axis[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompoundIcon.Axis c : CompoundIcon.Axis.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompoundIcon.Axis valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null